<?php

namespace Myriad\Queue\Drivers\Google;

use Illuminate\Support\ServiceProvider;
use Myriad\Queue\Drivers\Google\Commands\ConsumeQueueCommand;

class PubSubQueueServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     */
    public function register(): void
    {
        $this->commands([
          ConsumeQueueCommand::class,
        ]);
    }

    /**
     * Register the application's event listeners.
     * Publish config file
     */
    public function boot(): void
    {
        $this->app['queue']->addConnector('google', function () {
            return new PubSubQueueConnector;
        });
    }

}

